EDIT - feature request #10196

Hybrid structure-state terms
12/06/2022 05:48 PM - Andreas Muller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 90%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal

Description

copied from #10133#note-1

some structures can also be used as states in a character matrix. We need to decide how to handle them.
Solutions are:

1. Duplicate them (and link to each other)

2. Create a new term type "Structure-State" (or "State-Structure")

3. Handle as special structures that can be used in state context, too
4. Handle as special states that can be used in structure context, too
5. any other

Solution 1:

® Pro: easy to implement, mostly on data level, only the way how to link them needs to be discussed
e Con: redundancy on all levels (editing, snynchronization, evaluation, ...)

Solution 2:
Pro: No redundancy

e Con:

o the current term model requires that these terms come in a separate vocabulary as vocabularies only allow terms of the
same term type (and of a subtype? - needs to be checked!);
same problem in the structure tree (TermGraphBase);
same problem with state tree/list (TermGraphBase)
Class State preferrably changed to DefinedTerm to make StateData.state work with hybrid structures, too (also
Feature.supportedCategoricalEnumerations, but maybe not a strict requirement)

(o]

o]

]

Solution 3:

¢ Pro: No redundancy
e Con:
o problem with state tree/list (TermGraphBase)
o Class State preferrably changed to DefinedTerm to make StateData.state work with hybrid structures, too (also
Feature.supportedCategoricalEnumerations, but maybe not a strict requirement)

Solution 4:
¢ Pro: No redundancy
e Con:
o Character.structure needs to be adapted to allow a state, too
o structure tree (TermGraphBase) needs to be adapted, to allow states, too, at least for kind-of relationships
Solution 5: ??
Some ideas:
e maybe State (or StateData.state) needs to be much more flexibel anyway, not only for descriptions but also for other types of
CategoricalData. Generally a State is an entry in a selection list for a given feature. In the most general way it could be any

CdmBase. But even less general one can imagine that each DefinedTermBase could be a possible entry . So if we do want to
allow this State might be only a default for values that are not available elsewhere. E.g. some databases handle endemism as
separate feature while the default is to handle it as a distribution with one of the endemic status. "Endemic (for the given area)”
this way could stay a distribution status (PresenceAbsenceTerm) while it can still be used as a state in CategoricalData.
Are there any serious issues if we handle it this way?

¢ The structure-state terms always seem to be kind-of structures related to their parent (NoK: Ja ich glaube so ist das)

Final solution:
¢ like above states can be any defined terms now where ever they are currently used, so this is in StateData,
Feature.supportedCategoricalEnumerations and FeatureState
¢ in TaxEditor the Feature.supportedCategoricalEnumerations combo is extended by structure vocabularies (or collections later)

Open issues:

¢ think about sub-termtype "Character States"
o ix"FODBO101496" (2 left, but only in jaxb and sdd.out, so not so important for now

Related issues:
Related to EDIT - feature request #6794: Improve term structure In Progress
Copied from EDIT - feature request #10133: Improve ontology state vocabularies Closed

Associated revisions

Revision 0f1e36bd - 12/08/2022 10:07 PM - Andreas Miiller

cleanup and maybe some issues related to ref #10196

Revision 0ebe3b3e - 12/09/2022 02:01 AM - Andreas Miiller
ref #10196 implement hybrid states with interface

Revision 131d91a0 - 12/09/2022 02:03 AM - Andreas Miiller
ref #10196 adapt supportedCategoricalEnumerations to hybrid states in cdmlib

Revision abaa6c56 - 12/09/2022 03:14 AM - Andreas Miiller

ref #10196 user DefinedTermBase<?> for hybrid states in cdmlib

Revision 427¢9b3b - 12/09/2022 10:55 AM - Andreas Miiller

ref #10196 add methods to allow to search for vocabularies for >1 term types

Revision 67a52da6 - 12/09/2022 01:08 PM - Andreas Miiller
ref #10196 adapt TaxEditor to hybrid structure states

Revision b07fb70b - 12/14/2022 04:27 PM - Andreas Miiller
ref #10196 fix by findVocabulary by termtype list

Revision 2bf2296¢ - 12/14/2022 06:15 PM - Andreas Miiller

ref #10196 allow Structures for StateVocabularyDtoCollectionElement

Revision a183be96 - 12/14/2022 08:02 PM - Andreas Miiller

ref #10196 fix state and character/feature handling in RowWrapperDTO and description save

e by casting not filtering for term class

Revision 070e2256 - 12/14/2022 08:32 PM - Andreas Miiller
ref #10196 further adapt 10s and service layer to hybrid states

Revision ad098825 - 12/14/2022 09:48 PM - Andreas Miiller

ref #10196 remove fixmes and replace by todos where minor open issues are

Revision ea76aec6 - 01/03/2023 03:54 PM - Andreas Miiller
ref #10196 fix findByTermType
History

#1 - 12/06/2022 05:49 PM - Andreas Miiller

- Copied from feature request #10133: Improve ontology state vocabularies added

#2 - 12/06/2022 06:26 PM - Andreas Miiller
- Description updated

#3 - 12/06/2022 07:26 PM - Andreas Miiller
- Description updated

#4 - 12/06/2022 09:12 PM - Andreas Miiller
AM:

Erstmal wiirde ich mir gerne nochmal ins Gedachtnis zurtickrufen, inwiefern Terme beide Eigenschaften (State/Struktur) haben kénnen. Kannst du
2-3 Beispiele nennen, bei der ein Character einen State hat der anderweitig auch als Struktur verwendet werden kdnnte? Geht es da nur um so
Characters wie ,Stuktur des XY* oder ist das auch noch komplexer?

Ich frage, weil es davon abhangig sein kénnte, inwieweit es Sinn macht beide Terme zu separat zu bewahren oder sie hybrid als ein Term zu
behandeln.

NoK:

Structures: zur Frage inwiefern Terme beide Eigenschaften (State/Struktur) haben kénnen: Structures als states werden insbesondere bei der (nicht
aggregierten) Beschreibung héheren Taxa benétigt, wenn die spezifischen Auspragungen, die eine allgemeinere Struktur in Kindtaxa hat, angegeben
wird, also: "Frucht eine Beere, Kapsel oder Nuss". Oder: "Entire plant+growth form: Halbstrauch, Strauch oder Baum", das aber genauso auch bei
Kindtaxa. In der Beschreibung der Kindtaxa wirde die Beere, die Kapsel oder Nuss dann als Strukturterme verwendet, denen States zugeordnet
werden. Ist aber auch nicht zwingend, weil ich ja erst "Frucht+Architecture: Nuss" bauen kénnte (wére aber z.B. bei Compositae uniblich). Andere
Falltypen sind mir gerade nicht prasent ... Schaut man sich das Subvokabular an, dann ist es sehr gro3 und in den allermeisten Fallen fallt mir
spontan keine Verwendung als States ein, andererseits ist es aber fur den aufgefihrten Zweck kaum vollstandig

#5 - 12/06/2022 11:11 PM - Andreas Miiller

- Description updated

#6 - 12/07/2022 11:25 AM - Andreas Miiller

- Description updated

#7 - 12/07/2022 10:51 PM - Andreas Miiller

- Description updated

#8 - 12/08/2022 05:38 PM - Andreas Miuller

- Description updated

#9 - 12/09/2022 02:07 PM - Andreas Miuller

- Description updated

#10 - 12/14/2022 11:29 AM - Andreas Miiller

- Related to feature request #6794: Improve term structure added

#11 - 12/14/2022 11:30 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

This should be mostly ready. Still need to handle open issues and test in TaxEditor (add voc to characters and in matrix)

#12 - 12/14/2022 11:46 AM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.35

#13 - 12/14/2022 09:39 PM - Andreas Miiller
- Description updated

#14 - 12/14/2022 10:54 PM - Andreas Miiller
- Description updated
- % Done changed from 70 to 90

This is more or less fixed now and tested in Character editor and in matrix.

Not yet tested in PolytomousKeys(needed?) and dataportal?

#15 - 12/16/2022 02:06 PM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Miiller to Katja Luther
Can you please review. When done we can create a ticket for the remaining open issue.

#16 - 12/20/2022 09:34 AM - Andreas Miiller
- Priority changed from Highest to Priority14

#17 - 01/03/2023 09:13 AM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

Clicking on character "growth form" in Bupleurum instance results in StackOverflowException (in DescriptiveDataSet Editor, TermEditor and
TermTreeEditor):

last remote service : http://localhost:8081/remoting/vocabulary.service
last remote method : getDbSchemaVersion
last remote request client time : 2023-01-03T09:05:41.353
client error time : 2023-01-03T09:05:41.463
login : admin
editor version : 5.35.0.qualifier
server : localhost (localhost-dev)
schema version : 5.35.1.0.20221218
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.eclipse.swt.SWIException: Failed to execute runnable (java.lang.StackOverflowError)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench.java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application.java:20)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main.java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

Caused by: java.lang.StackOverflowError
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80
findByTermType (Unknown Source)

AbstractEntityCollectionElement.

AbstractEntityCollectionSection.
AbstractEntityCollectionSection.
AbstractEntityCollectionSection.
AbstractEntityCollectionSection.

AbstractEntityCollectionSection.

combo.VocabularyComboElement .getVocabularies (VocabularyComboElement. java:236)
combo.VocabularyComboElement .<init> (VocabularyComboElement. java:64)
combo.VocabularyComboElement .<init> (VocabularyComboElement . java:54)
.element .CdmFormFactory.createVocabularyComboElement (CdmFormFactory.java:1165)
.vocabulary.StateVocabularyCollectionElement.createControls (StateVocab

<init> (AbstractEntityCollectionElemen

vocabulary.StateVocabularyCollectionElement.<init> (StateVocabularyCol

.CdmFormFactory.createEntityCollectionElement (CdmFormFactory.java:2851

createElementComposite (AbstractEntity
createDynamicContents (AbstractEntityC
renderContent (AbstractEntityCollectio
internalUpdateSection (AbstractEntityC

setEntity (AbstractEntityCollectionSec

.feature.CharacterDetailElement.createControls (CharacterDetailElement.
feature.CharacterDetailElement.createControls (CharacterDetailElement.
AbstractCdmDetailElement .updateContent (AbstractCdmDetailElement. java:

AbstractCdmDetailElement.setEntity (AbstractCdmDetailElement. java:83)
feature.CharacterDetailElement.setEntity (CharacterDetailElement. java:

.feature.CharacterDetailElement.setEntity (CharacterDetailElement. java:

AbstractCdmDetailSection.setEntity (AbstractCdmDetailSection. java:153)
feature.CharacterNodeDetailElement.createControls (CharacterNodeDetail
at eu.etaxonomy.taxeditor.ui.section.feature.CharacterNodeDetailElement.createControls (CharacterNodeDetail

Element. java:l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (AbstractCdmDetailElement. java:

103)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCdmDetailElement. java:83)
at eu.etaxonomy.taxeditor.ui.section.feature.CharacterNodeDetailElement.setEntity (CharacterNodeDetailEleme

nt.java:72)

at eu.etaxonomy.taxeditor.ui.section.feature.CharacterNodeDetailElement.setEntity (CharacterNodeDetailEleme

nt.java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCdmDetailSection. java:153)
at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart.java:176)
at org.eclipse.uil.forms.ManagedForm.setInput (ManagedForm. java:210)

at eu.etaxonomy.taxeditor.view.e4d.
.AbstractCdmDataViewer.setInput (AbstractCdmDataViewer. java:135)
.details.DetailsViewerE4.setInput (DetailsViewerE4. java:207)

at eu.etaxonomy.taxeditor.view.e4
at eu.etaxonomy.taxeditor.view.e4
at eu.etaxonomy.taxeditor.view.ed
at eu.etaxonomy.taxeditor.view.e4
at eu.etaxonomy.taxeditor.view.e4
at eu.etaxonomy.taxeditor.view.ed

AbstractCdmDataViewer.refresh (AbstractCdmDataViewer. java:152)

.details.DetailsViewerE4.setInput (DetailsViewerE4. java:174)
.AbstractCdmEditorPart.showViewer (AbstractCdmEditorPart.java:311)
.details.DetailsPartE4.selectionChanged_internal (DetailsPartE4.java:108)
.AbstractCdmEditorPart$DelaySelection.run (AbstractCdmEditorPart. java:136)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

24 more

#18 - 01/03/2023 03:58 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Katja Luther wrote in #note-17:

Clicking on character "growth form" in Bupleurum instance results in StackOverflowException (in DescriptiveDataSet Editor, TermEditor and

TermTreeEditor):

last remote service : http://localhost:8081/remoting/vocabulary.service
last remote method : getDbSchemaVersion

last remote request client time

2023-01-03T09:05:41.353

client error time : 2023-01-03T09:05:41.463

login : admin

editor version : 5.35.0.qualifier
server : localhost (localhost-dev)
schema version : 5.35.1.0.20221218

os : Windows Server 2012 R2 6.3 amd64

jJava : 1.8.0_131

org.eclipse.swt.SWIException: Failed to execute runnable (java.lang.StackOverflowError)
at org.eclipse.swt.SWT.error (SWT.java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:l

34)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
at org.eclipse.equinox.launcher.Main.main (Main.java:1492)
Caused by: java.lang.StackOverflowError
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80)
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80)
at eu.etaxonomy.cdm.api.service.VocabularyServiceImpl.findByTermType (VocabularyServiceImpl. java:80)

04/05/2024

6/8



at
at
at
at
at
at
at
at
at
at
at
at
at
at

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

eu

eu.
eu.

eu

eu.
eu.

eu
(Sl

eu.

eu

eu.
eu.

eu

eu.

eu
(Sl

eu.

eu

eu.
eu.

eu

eu.
eu.

eu
(Sl

eu.

eu

eu.
eu.

eu

.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.
.etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .

.etaxonomy.
.etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.
.etaxonomy .
etaxonomy .
.etaxonomy.
etaxonomy .
etaxonomy .
.etaxonomy.

cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.

cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.
cdm.

api
api

api.
.service

api
api

api.
.service

api

api.
api.
.service

api
api

api.
.service

api
api

api

api.
api.
.service

api
api

api.
.service

api
api

api.
.service

api

api.
api.
.service

api
api

api.
.service

api

.service
.service

service

.service

service

service
service

.service

service

.service

.service

service
service

.service

service

.service

service

service
service

.service

service

.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.

.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.
.VocabularyServiceImpl.

findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType
findByTermType

findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.
findByTermType (VocabularyServiceImpl.

VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.
VocabularyServiceImpl.

java

java:

java:
java:
java:

java:
java:
java:

java:

java

java:

java:
java:
java:

java:
java:

java
java

java:

java:
java:
java:

java:
java:
java:

java:

java

java:

java:
java:

:80)
80)
80)
80)
80)
80)
80)
80)
80)
:80)
80)
80)
80)
80)

80)
80)
:80)
:80)
80)
80)
80)
80)
80)
80)
80)
80)
:80)
80)
80)
80)

org.springframework.remoting.

support.RemoteInvocationUtils.fillInClientStackTracelfPossible (RemoteInv

ocationUtils. java:45)

at org.springframework.remoting.

support.RemoteInvocationResult.recreate (RemoteInvocationResult. java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocationResult (Rem
oteInvocationBasedAccessor. java:85)

at
ptor.java:158)
at
179)
at
at
at
6)
at
at
at
S))
at

eu.etaxonomy.taxeditor.ui.

section.

abularyCollectionElement. java:40)

at eu.etaxonomy.taxeditor.ui.

ent.java:115)

at eu.etaxonomy.taxeditor.ui.

ollectionElement. java:35)

at eu.etaxonomy.taxeditor.ui
51)

at eu.etaxonomy.taxeditor.ui
tyCollectionSection.java:282)

at eu.etaxonomy.taxeditor.ui
yCollectionSection. java:270)

at eu.etaxonomy.taxeditor.ui
ionSection. java:240)

at eu.etaxonomy.taxeditor.ui
yCollectionSection. java:222)

at eu.etaxonomy.taxeditor.ui
ection.java:179)

at eu.etaxonomy.taxeditor.ui
t.java:137)

at eu.etaxonomy.taxeditor.ui
t.java:l)

at eu.etaxonomy.taxeditor.ui.

a:103)
at eu.etaxonomy.taxeditor.ui

at eu.etaxonomy.taxeditor.ui

04/05/2024

section.

section

.element

.section.

.section.

.section.

.section.

.section.

.section.

.section.

section

.section.

.section.

org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientInterce
org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:

org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)
com.sun.proxy.3$Proxy91l.findByTermType (Unknown Source)
eu.etaxonomy.taxeditor.ui.combo.VocabularyComboElement .getVocabularies (VocabularyComboElement. java:23

eu.etaxonomy.taxeditor.ui.combo.VocabularyComboElement.<init> (VocabularyComboElement. java:64)
eu.etaxonomy.taxeditor.ui.combo.VocabularyComboElement.<init> (VocabularyComboElement. java:54)
eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.createVocabularyComboElement (CdmFormFactory. java:116

vocabulary.StateVocabularyCollectionElement.createControls (StateVoc

AbstractEntityCollectionElement.

AbstractEntityCollectionSection.
AbstractEntityCollectionSection.
AbstractEntityCollectionSection.
AbstractEntityCollectionSection.

AbstractEntityCollectionSection.

<init> (AbstractEntityCollectionElem

.vocabulary.StateVocabularyCollectionElement.<init> (StateVocabularyC

.CdmFormFactory.createEntityCollectionElement (CdmFormFactory.java:28

createElementComposite (AbstractEnti
createDynamicContents (AbstractEntit
renderContent (AbstractEntityCollect
internalUpdateSection (AbstractEntit

setEntity (AbstractEntityCollectionS

feature.CharacterDetailElement.createControls (CharacterDetailElemen

feature.CharacterDetailElement.createControls (CharacterDetailElemen

.AbstractCdmDetailElement .updateContent (AbstractCdmDetailElement. jav

AbstractCdmDetailElement.setEntity (AbstractCdmDetailElement. java:83

feature.CharacterDetailElement.setEntity (CharacterDetailElement. jav

7/8



a:171)
at eu.etaxonomy.taxeditor.

a:1l)

at eu.etaxonomy.taxeditor.

3)

at eu.etaxonomy.taxeditor.

ilElement.java:46)
at eu.etaxonomy.taxeditor.
ilElement.java:1)

at

eu.etaxonomy.

a:103)

at

at
ment
at
ment
at
3)
at
at
at
at
at
at
at
at

at
6)

at

at

eu.etaxonomy.

eu.etaxonomy .
.java:72)
eu.etaxonomy.
.Java:l)
eu.etaxonomy.

taxeditor.

taxeditor.

taxeditor.

taxeditor.

taxeditor.

ui

ui

ui

ui

ui

ui

ui

ui

ui

.section.

.section.

.section.

.section.

.section.

.section.

.section.

.section.

.section.

feature.CharacterDetailElement.setEntity (CharacterDetailElement. jav
AbstractCdmDetailSection.setEntity (AbstractCdmbDetailSection. java:15
feature.CharacterNodeDetailElement.createControls (CharacterNodeDeta
feature.CharacterNodeDetailElement.createControls (CharacterNodeDeta
AbstractCdmDetailElement .updateContent (AbstractCdmDetailElement. jav
AbstractCdmDetailElement.setEntity (AbstractCdmbDetailElement. java:83
feature.CharacterNodeDetailElement.setEntity (CharacterNodeDetailEle
feature.CharacterNodeDetailElement.setEntity (CharacterNodeDetailEle

AbstractCdmDetailSection.setEntity (AbstractCdmDetailSection. java:15

eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart. java:176)
org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:210)

eu.etaxonomy.
eu.etaxonomy .
eu.etaxonomy.
eu.etaxonomy.
eu.etaxonomy .
eu.etaxonomy.

eu.etaxonomy.taxeditor.view.e4

taxeditor.
taxeditor.
taxeditor.
taxeditor.
taxeditor.
taxeditor.

view.e4d.AbstractCdmDataViewer.refresh (AbstractCdmDataViewer. java:152)
view.e4.AbstractCdmDataViewer.setInput (AbstractCdmDataViewer. java:135)

view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4.java:207)

view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4. java:174)
view.e4.AbstractCdmEditorPart.showViewer (AbstractCdmEditorPart.java:311)
view.ed.details.DetailsPartE4.selectionChanged_internal (DetailsPartE4.java:108

.AbstractCdmEditorPart$DelaySelection.run (AbstractCdmEditorPart.java:13

org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

24 more

This should be fixed. Can you please review again? (but wait until server builds again)

#19 - 01/04/2023 02:05 PM - Katja Luther

- Status changed from Feedback to Closed

- Assignee changed from Katja Luther to Andreas Miiller

works as expected now.
